Page MenuHomePhabricator

PageCuration doesn't use edit summaries when posting to talk pages
Open, MediumPublic

Description

https://en.wikipedia.org/w/index.php?title=User_talk:Simsong&diff=560107518&oldid=418874412

This edit indicates that PageCuration isn't using section=new. This should be fixed up.


Version: unspecified
Severity: normal

Details

Reference
bz49631

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:53 AM
bzimport set Reference to bz49631.
bzimport added a subscriber: Unknown Object (MLST).

Thanks for the bug report!

I couldn't understand the problem completely. The template http://en.wikipedia.org/wiki/Template:Reviewednote-NPF does create a new section with the title "A page you started has been reviewed!" or is there something I got wrong here?

I don't know if it's the problem that MZ is thinking of, but I notice that there is no edit summary; normally, when you use the "new section" tab, you don't get an input field for the edit summary - it's forced to "/* "+section title+" */ new section", as in
/* A page you started has been reviewed! */ new section

The page is being edited using the api, for some reason (I should consult the original developers) there isn't any edit summary provided.

However the section title I mentioned i.e. "A page you started has been reviewed!" is provided by the Template; thus its not related to the absence of an edit summary.

Strange. I wonder why bug 46842 didn't resolve this.

(In reply to comment #3)

The page is being edited using the api, for some reason (I should consult the
original developers) there isn't any edit summary provided.

Yeah, it's using action=edit in the MediaWiki API, but not section=new. I'm not sure why, but this should be simple enough to tweak.

(In reply to comment #4)

Strange. I wonder why bug 46842 didn't resolve this.

This comment was intended for bug 49632, of course.

MZMcBride, could you please try to answer comment 1. More specifically, what difference would using section=new bring?

(In reply to comment #7)

MZMcBride, could you please try to answer comment 1. More specifically, what
difference would using section=new bring?

It would fix the edit summary.

I'm not sure why there's any discussion needed here: you're adding a new section to the page. Is there any reason not to use section=new? This is why it exists.

PageTriage isn't adding any new section. Its just adding some wiki text which is made into a section by the template.

Of course, PageTriage could/should add a edit summary while doing the edit. But its a separate thing.

(In reply to comment #9)

PageTriage isn't adding any new section. Its just adding some wiki text which
is made into a section by the template.

What? PageTriage is using the MediaWiki API's action=edit module and is calling appendtext. It should instead be using section=new. This is the bug. When you're adding a new section to a talk page, use section=new. This is why it exists.

https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FPageTriage/4608051c1f48e8f5c69f5206498df4a7dddba17a/modules%2Fext.pageTriage.views.toolbar%2Fext.pageTriage.mark.js#L124

This posts to a talk page. Use section=new here.

Of course, PageTriage could/should add a edit summary while doing the edit.
But its a separate thing.

It will automatically use a proper edit summary when section=new is specified. Use that.

Broadly, I think you're right. The symptom (and bug) here is the edit summary. The problem is the use of appendtext without specifying a summary parameter.

The summary parameter is automatically filled in when section=new is used. An edit summary could be faked, but doing so would be kind of insane, in my opinion. That's why I filed this bug the way that I did.

The edit summary is important to include, otherwise editors see edits to user talk pages and have no idea why they edited a particular user talk page. For example:

00:16, 16 June 2013 (diff | hist) . . (+395)‎ . . User talk:Simsong ‎ (current)

This should read:

00:16, 16 June 2013 (diff | hist) . . (+395)‎ . . User talk:Simsong ‎(A page you started (Digital Forensics XML) has been reviewed!) (current)

Then I would know why I made a particular edit and so would everybody else.

If you want to re-purpose the bug's summary to focus on edit summaries (the symptom) instead of not using section=new (what I consider to be the problem), I'm fine with that.

Related URL: https://gerrit.wikimedia.org/r/69033 (Gerrit Change Ic5855c8a5fd2282cbf6d825d959f49b8a3b9bf41)

Change 69033 abandoned by Siebrand:
Use edit summaries when posting to user talk pages.

Reason:
I'm abandoning this as this change hasn't had any love in a long time. There are open comments and it doesn't merge any more. Can be restored if author wants to work on it again.

https://gerrit.wikimedia.org/r/69033

Not working for WMF anymore :(

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:39 AM
Nemo_bis set Security to None.
Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 26 2019, 8:34 AM

If some patches to fix a certain bug has abandoned (like T51631#556977), then I don't know how this can still good first task ?